Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.mbeans
Interface ScenarioServiceMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface ScenarioServiceMBean
extends ServiceConfigurationMBean

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getMaxURILength()` Get the maximum length of a deployable scenario URI.
`String[]` | `getRulesRequestAttrNames()` Get the list of Request attributes to put into the rules contexts.
`String[]` | `getRulesSessionAttrNames()` Get the list of Session attributes to put into the rules contexts.
`void` | `setMaxURILength(int max)` Set the maximum length of a deployable scenario URI.
`void` | `setRulesRequestAttrNames(String[] names)` Set the list of Request attributes to put into the rules contexts.
`void` | `setRulesSessionAttrNames(String[] names)` Set the list of Session attributes to put into the rules contexts.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getRulesRequestAttrNames

    public String[] getRulesRequestAttrNames()

  Get the list of Request attributes to put into the rules contexts.

  MBean Attribute Old Property Name:
    campaign.rules.request.attrnames

### setRulesRequestAttrNames

    public void setRulesRequestAttrNames(String[] names)

  Set the list of Request attributes to put into the rules contexts.

  MBean Attribute Legal Null:
    true

### getRulesSessionAttrNames

    public String[] getRulesSessionAttrNames()

  Get the list of Session attributes to put into the rules contexts.

  MBean Attribute Old Property Name:
    campaign.rules.request.attrnames

### setRulesSessionAttrNames

    public void setRulesSessionAttrNames(String[] names)

  Set the list of Session attributes to put into the rules contexts.

  MBean Attribute Legal Null:
    true

### getMaxURILength

    public int getMaxURILength()

  Get the maximum length of a deployable scenario URI.

  MBean Attribute Default Value:
    254

### setMaxURILength

    public void setMaxURILength(int max)

  Set the maximum length of a deployable scenario URI.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved